Bug 487774 - yum crashed due to verifyLocalPkg() (apparent lack of checksum data)
yum crashed due to verifyLocalPkg() (apparent lack of checksum data)
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
: 488158 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-27 15:43 EST by Shawn Starr
Modified: 2014-01-21 18:08 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-27 17:41:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shawn Starr 2009-02-27 15:43:10 EST
Description of problem:

Trying to add 32bit compile support to a existing 64bit Fedora install

Version-Release number of selected component (if applicable):


How reproducible:
Unknown


Steps to Reproduce:

Output follows:

[root@sstarr ~]# rpm -Uvh glibc-common-2.9.90-8.i586.rpm glibc-common-2.9.90-8.x86_64.rpm glibc-2.9.90-8.i586.rpm glibc-2.9.90-8.x86_64.rpm glibc-utils-2.9.90-8.x86_64.rpm glibc-devel-2.9.90-8.x86_64.rpm glibc-headers-2.9.90-8.x86_64.rpm 
Preparing...                ########################################### [100%]
	file /usr/bin/ldd conflicts between attempted installs of glibc-common-2.9.90-8.i586 and glibc-common-2.9.90-8.x86_64
	file /usr/lib/locale/locale-archive.tmpl conflicts between attempted installs of glibc-common-2.9.90-8.i586 and glibc-common-2.9.90-8.x86_64
[root@sstarr ~]# rpm -e glibc-common.i586
error: package glibc-common.i586 is not installed
[root@sstarr ~]# rpm -Uvh glibc-common-2.9.90-8.x86_64.rpm glibc-2.9.90-8.i586.rpm glibc-2.9.90-8.x86_64.rpm glibc-utils-2.9.90-8.x86_64.rpm glibc-devel-2.9.90-8.x86_64.rpm glibc-headers-2.9.90-8.x86_64.rpm 
Preparing...                ########################################### [100%]
   1:glibc                  warning: /etc/localtime created as /etc/localtime.rpmnew
########################################### [ 17%]
   2:glibc-common           ########################################### [ 33%]
   3:glibc-headers          ########################################### [ 50%]
   4:glibc-devel            ########################################### [ 67%]
   5:glibc                  warning: /etc/localtime created as /etc/localtime.rpmnew
########################################### [ 83%]
   6:glibc-utils            ########################################### [100%]
rpm -ivh glibc-common[root@sstarr ~]# rpm -ivh glibc-common-2.9.90-8.i586.rpm 
Preparing...                ########################################### [100%]
	file /usr/bin/ldd from install of glibc-common-2.9.90-8.i586 conflicts with file from package glibc-common-2.9.90-8.x86_64
	file /usr/lib/locale/locale-archive.tmpl from install of glibc-common-2.9.90-8.i586 conflicts with file from package glibc-common-2.9.90-8.x86_64
[root@sstarr ~]# rpm -ivh glibc-common-2.9.90-8.i586.rpm glibc-common-2.9.90-8.x86_64.rpm 
Preparing...                ########################################### [100%]
	package glibc-common-2.9.90-8.x86_64 is already installed
	file /usr/bin/ldd from install of glibc-common-2.9.90-8.i586 conflicts with file from package glibc-common-2.9.90-8.x86_64
	file /usr/lib/locale/locale-archive.tmpl from install of glibc-common-2.9.90-8.i586 conflicts with file from package glibc-common-2.9.90-8.x86_64
	file /usr/bin/ldd conflicts between attempted installs of glibc-common-2.9.90-8.x86_64 and glibc-common-2.9.90-8.i586
	file /usr/lib/locale/locale-archive.tmpl conflicts between attempted installs of glibc-common-2.9.90-8.x86_64 and glibc-common-2.9.90-8.i586
[root@sstarr ~]# rpm -ivh glibc-common-2.9.90-8.i586.rpm glibc-common-2.9.90-8.x86_64.rpm 
[root@sstarr ~]# rm 
[root@sstarr ~]# wget http://kojipkgs.fedoraproject.org/packages/glibc/2.9.90/8/i586/glibc-headers-2.9.90-8.i586.rpm
--2009-02-27 15:22:34--  http://kojipkgs.fedoraproject.org/packages/glibc/2.9.90/8/i586/glibc-headers-2.9.90-8.i586.rpm
Resolving kojipkgs.fedoraproject.org... 209.132.176.68
Connecting to kojipkgs.fedoraproject.org|209.132.176.68|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 645107 (630K) [application/x-rpm]
Saving to: `glibc-headers-2.9.90-8.i586.rpm'

100%[====================================================================================>] 645,107      373K/s   in 1.7s    

2009-02-27 15:22:36 (373 KB/s) - `glibc-headers-2.9.90-8.i586.rpm' saved [645107/645107]

[root@sstarr ~]# wget http://kojipkgs.fedoraproject.org/packages/glibc/2.9.90/8/i586/glibc-devel-2.9.90-8.i586.rpm
--2009-02-27 15:22:40--  http://kojipkgs.fedoraproject.org/packages/glibc/2.9.90/8/i586/glibc-devel-2.9.90-8.i586.rpm
Resolving kojipkgs.fedoraproject.org... 209.132.176.68
Connecting to kojipkgs.fedoraproject.org|209.132.176.68|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 1017651 (994K) [application/x-rpm]
Saving to: `glibc-devel-2.9.90-8.i586.rpm'

 5% [===>                                                                                 ] 51,386      97.1K/s              r14% [===========>                                                                         ] 152,426      192K/s              m27% [======================>                                                              ] 281,018      265K/s              i39% [================================>                                                    ] 406,874      318K/s              h100%[====================================================================================>] 1,017,651    403K/s   in 2.5s    l

2009-02-27 15:22:42 (403 KB/s) - `glibc-devel-2.9.90-8.i586.rpm' saved [1017651/1017651]

[root@sstarr ~]# rpm -ivh glibc-devel-2.9.90-8.
error: open of glibc-devel-2.9.90-8. failed: No such file or directory
[root@sstarr ~]# rpm -ivh glibc-devel-2.9.90-8.i586.rpm 
Preparing...                ########################################### [100%]
   1:glibc-devel            ########################################### [100%]
[root@sstarr ~]# rpm -ivh glibc-headers-2.9.90-8.i586.rpm 
Preparing...                ########################################### [100%]
	file /usr/include/bits/a.out.h from install of glibc-headers-2.9.90-8.i586 conflicts with file from package glibc-headers-2.9.90-8.x86_64
	file /usr/include/bits/byteswap.h from install of glibc-headers-2.9.90-8.i586 conflicts with file from package glibc-headers-2.9.90-8.x86_64
	file /usr/include/bits/endian.h from install of glibc-headers-2.9.90-8.i586 conflicts with file from package glibc-headers-2.9.90-8.x86_64
	file /usr/include/bits/environments.h from install of glibc-headers-2.9.90-8.i586 conflicts with file from package glibc-headers-2.9.90-8.x86_64
	file /usr/include/bits/fcntl.h from install of glibc-headers-2.9.90-8.i586 conflicts with file from package glibc-headers-2.9.90-8.x86_64
	file /usr/include/bits/fenv.h from install of glibc-headers-2.9.90-8.i586 conflicts with file from package glibc-headers-2.9.90-8.x86_64
	file /usr/include/bits/huge_vall.h from install of glibc-headers-2.9.90-8.i586 conflicts with file from package glibc-headers-2.9.90-8.x86_64
	file /usr/include/bits/link.h from install of glibc-headers-2.9.90-8.i586 conflicts with file from package glibc-headers-2.9.90-8.x86_64
	file /usr/include/bits/mathdef.h from install of glibc-headers-2.9.90-8.i586 conflicts with file from package glibc-headers-2.9.90-8.x86_64
	file /usr/include/bits/mathinline.h from install of glibc-headers-2.9.90-8.i586 conflicts with file from package glibc-headers-2.9.90-8.x86_64
	file /usr/include/bits/mman.h from install of glibc-headers-2.9.90-8.i586 conflicts with file from package glibc-headers-2.9.90-8.x86_64
	file /usr/include/bits/msq.h from install of glibc-headers-2.9.90-8.i586 conflicts with file from package glibc-headers-2.9.90-8.x86_64
	file /usr/include/bits/pthreadtypes.h from install of glibc-headers-2.9.90-8.i586 conflicts with file from package glibc-headers-2.9.90-8.x86_64
	file /usr/include/bits/select.h from install of glibc-headers-2.9.90-8.i586 conflicts with file from package glibc-headers-2.9.90-8.x86_64
	file /usr/include/bits/sem.h from install of glibc-headers-2.9.90-8.i586 conflicts with file from package glibc-headers-2.9.90-8.x86_64
	file /usr/include/bits/semaphore.h from install of glibc-headers-2.9.90-8.i586 conflicts with file from package glibc-headers-2.9.90-8.x86_64
	file /usr/include/bits/setjmp.h from install of glibc-headers-2.9.90-8.i586 conflicts with file from package glibc-headers-2.9.90-8.x86_64
	file /usr/include/bits/shm.h from install of glibc-headers-2.9.90-8.i586 conflicts with file from package glibc-headers-2.9.90-8.x86_64
	file /usr/include/bits/sigcontext.h from install of glibc-headers-2.9.90-8.i586 conflicts with file from package glibc-headers-2.9.90-8.x86_64
	file /usr/include/bits/stat.h from install of glibc-headers-2.9.90-8.i586 conflicts with file from package glibc-headers-2.9.90-8.x86_64
	file /usr/include/bits/string.h from install of glibc-headers-2.9.90-8.i586 conflicts with file from package glibc-headers-2.9.90-8.x86_64
	file /usr/include/bits/syscall.h from install of glibc-headers-2.9.90-8.i586 conflicts with file from package glibc-headers-2.9.90-8.x86_64
	file /usr/include/bits/wchar.h from install of glibc-headers-2.9.90-8.i586 conflicts with file from package glibc-headers-2.9.90-8.x86_64
	file /usr/include/bits/wordsize.h from install of glibc-headers-2.9.90-8.i586 conflicts with file from package glibc-headers-2.9.90-8.x86_64
	file /usr/include/fpu_control.h from install of glibc-headers-2.9.90-8.i586 conflicts with file from package glibc-headers-2.9.90-8.x86_64
	file /usr/include/sys/debugreg.h from install of glibc-headers-2.9.90-8.i586 conflicts with file from package glibc-headers-2.9.90-8.x86_64
	file /usr/include/sys/epoll.h from install of glibc-headers-2.9.90-8.i586 conflicts with file from package glibc-headers-2.9.90-8.x86_64
	file /usr/include/sys/io.h from install of glibc-headers-2.9.90-8.i586 conflicts with file from package glibc-headers-2.9.90-8.x86_64
	file /usr/include/sys/perm.h from install of glibc-headers-2.9.90-8.i586 conflicts with file from package glibc-headers-2.9.90-8.x86_64
	file /usr/include/sys/procfs.h from install of glibc-headers-2.9.90-8.i586 conflicts with file from package glibc-headers-2.9.90-8.x86_64
	file /usr/include/sys/reg.h from install of glibc-headers-2.9.90-8.i586 conflicts with file from package glibc-headers-2.9.90-8.x86_64
	file /usr/include/sys/ucontext.h from install of glibc-headers-2.9.90-8.i586 conflicts with file from package glibc-headers-2.9.90-8.x86_64
	file /usr/include/sys/user.h from install of glibc-headers-2.9.90-8.i586 conflicts with file from package glibc-headers-2.9.90-8.x86_64
[root@sstarr ~]# rpm -ivh glibc-headers-2.9.90-8.i586.rpm 
[root@sstarr ~]# rpm -e glibc-headers
[root@sstarr ~]# rpm -ivh glibc-headers-2.9.90-8.i586.rpm glibc-headers-2.9.90-8.x86_64.rpm 
Preparing...                ########################################### [100%]
	file /usr/include/bits/a.out.h conflicts between attempted installs of glibc-headers-2.9.90-8.i586 and glibc-headers-2.9.90-8.x86_64
	file /usr/include/bits/byteswap.h conflicts between attempted installs of glibc-headers-2.9.90-8.i586 and glibc-headers-2.9.90-8.x86_64
	file /usr/include/bits/endian.h conflicts between attempted installs of glibc-headers-2.9.90-8.i586 and glibc-headers-2.9.90-8.x86_64
	file /usr/include/bits/environments.h conflicts between attempted installs of glibc-headers-2.9.90-8.i586 and glibc-headers-2.9.90-8.x86_64
	file /usr/include/bits/fcntl.h conflicts between attempted installs of glibc-headers-2.9.90-8.i586 and glibc-headers-2.9.90-8.x86_64
	file /usr/include/bits/fenv.h conflicts between attempted installs of glibc-headers-2.9.90-8.i586 and glibc-headers-2.9.90-8.x86_64
	file /usr/include/bits/huge_vall.h conflicts between attempted installs of glibc-headers-2.9.90-8.i586 and glibc-headers-2.9.90-8.x86_64
	file /usr/include/bits/link.h conflicts between attempted installs of glibc-headers-2.9.90-8.i586 and glibc-headers-2.9.90-8.x86_64
	file /usr/include/bits/mathdef.h conflicts between attempted installs of glibc-headers-2.9.90-8.i586 and glibc-headers-2.9.90-8.x86_64
	file /usr/include/bits/mathinline.h conflicts between attempted installs of glibc-headers-2.9.90-8.i586 and glibc-headers-2.9.90-8.x86_64
	file /usr/include/bits/mman.h conflicts between attempted installs of glibc-headers-2.9.90-8.i586 and glibc-headers-2.9.90-8.x86_64
	file /usr/include/bits/msq.h conflicts between attempted installs of glibc-headers-2.9.90-8.i586 and glibc-headers-2.9.90-8.x86_64
	file /usr/include/bits/pthreadtypes.h conflicts between attempted installs of glibc-headers-2.9.90-8.i586 and glibc-headers-2.9.90-8.x86_64
	file /usr/include/bits/select.h conflicts between attempted installs of glibc-headers-2.9.90-8.i586 and glibc-headers-2.9.90-8.x86_64
	file /usr/include/bits/sem.h conflicts between attempted installs of glibc-headers-2.9.90-8.i586 and glibc-headers-2.9.90-8.x86_64
	file /usr/include/bits/semaphore.h conflicts between attempted installs of glibc-headers-2.9.90-8.i586 and glibc-headers-2.9.90-8.x86_64
	file /usr/include/bits/setjmp.h conflicts between attempted installs of glibc-headers-2.9.90-8.i586 and glibc-headers-2.9.90-8.x86_64
	file /usr/include/bits/shm.h conflicts between attempted installs of glibc-headers-2.9.90-8.i586 and glibc-headers-2.9.90-8.x86_64
	file /usr/include/bits/sigcontext.h conflicts between attempted installs of glibc-headers-2.9.90-8.i586 and glibc-headers-2.9.90-8.x86_64
	file /usr/include/bits/stat.h conflicts between attempted installs of glibc-headers-2.9.90-8.i586 and glibc-headers-2.9.90-8.x86_64
	file /usr/include/bits/string.h conflicts between attempted installs of glibc-headers-2.9.90-8.i586 and glibc-headers-2.9.90-8.x86_64
	file /usr/include/bits/syscall.h conflicts between attempted installs of glibc-headers-2.9.90-8.i586 and glibc-headers-2.9.90-8.x86_64
	file /usr/include/bits/wchar.h conflicts between attempted installs of glibc-headers-2.9.90-8.i586 and glibc-headers-2.9.90-8.x86_64
	file /usr/include/bits/wordsize.h conflicts between attempted installs of glibc-headers-2.9.90-8.i586 and glibc-headers-2.9.90-8.x86_64
	file /usr/include/fpu_control.h conflicts between attempted installs of glibc-headers-2.9.90-8.i586 and glibc-headers-2.9.90-8.x86_64
	file /usr/include/sys/debugreg.h conflicts between attempted installs of glibc-headers-2.9.90-8.i586 and glibc-headers-2.9.90-8.x86_64
	file /usr/include/sys/epoll.h conflicts between attempted installs of glibc-headers-2.9.90-8.i586 and glibc-headers-2.9.90-8.x86_64
	file /usr/include/sys/io.h conflicts between attempted installs of glibc-headers-2.9.90-8.i586 and glibc-headers-2.9.90-8.x86_64
	file /usr/include/sys/perm.h conflicts between attempted installs of glibc-headers-2.9.90-8.i586 and glibc-headers-2.9.90-8.x86_64
	file /usr/include/sys/procfs.h conflicts between attempted installs of glibc-headers-2.9.90-8.i586 and glibc-headers-2.9.90-8.x86_64
	file /usr/include/sys/reg.h conflicts between attempted installs of glibc-headers-2.9.90-8.i586 and glibc-headers-2.9.90-8.x86_64
	file /usr/include/sys/ucontext.h conflicts between attempted installs of glibc-headers-2.9.90-8.i586 and glibc-headers-2.9.90-8.x86_64
	file /usr/include/sys/user.h conflicts between attempted installs of glibc-headers-2.9.90-8.i586 and glibc-headers-2.9.90-8.x86_64
[root@sstarr ~]# rpm -ivh glibc-headers-2.9.90-8.i586.rpm glibc-headers-2.9.90-8.x86_64.rpm 
[root@sstarr ~]# yum install glibc-headers-2.9.90-8.x86_64.rpm glibc-headers-2.9.90-8.i586.rpm 
Loaded plugins: refresh-packagekit, remove-with-leaves
Setting up Install Process
Examining glibc-headers-2.9.90-8.x86_64.rpm: glibc-headers-2.9.90-8.x86_64
Marking glibc-headers-2.9.90-8.x86_64.rpm to be installed
Examining glibc-headers-2.9.90-8.i586.rpm: glibc-headers-2.9.90-8.i586
Marking glibc-headers-2.9.90-8.i586.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package glibc-headers.x86_64 0:2.9.90-8 set to be updated
---> Package glibc-headers.i586 0:2.9.90-8 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 301, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 253, in main
    return_code = base.doTransaction()
  File "/usr/share/yum-cli/cli.py", line 363, in doTransaction
    lsts = self.listTransaction()
  File "/usr/share/yum-cli/output.py", line 929, in listTransaction
    a_wid = _add_line(lines, data, a_wid, txmbr.po, txmbr.obsoletes)
  File "/usr/share/yum-cli/output.py", line 907, in _add_line
    elif po.verifyLocalPkg():
  File "/usr/lib/python2.6/site-packages/yum/packages.py", line 664, in verifyLocalPkg
    (csum_type, csum) = self.returnIdSum()
TypeError: 'NoneType' object is not iterable
Comment 1 Shawn Starr 2009-02-27 16:09:05 EST
==============================================================
Reproducable:

1) Remove glibc-headers i586/x86_64 RPMs

2) get the RPMs from koji manually and download them

[root@sstarr ~]# 
[root@sstarr ~]# rpm -qa | grep glibc-headers
[root@sstarr ~]# yum install glibc-headers-2.9.90-8.i586.rpm glibc-headers-2.9.90-8.x86_64.rpm 
Loaded plugins: refresh-packagekit, remove-with-leaves
Setting up Install Process
Examining glibc-headers-2.9.90-8.i586.rpm: glibc-headers-2.9.90-8.i586
Marking glibc-headers-2.9.90-8.i586.rpm to be installed
Examining glibc-headers-2.9.90-8.x86_64.rpm: glibc-headers-2.9.90-8.x86_64
Marking glibc-headers-2.9.90-8.x86_64.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package glibc-headers.i586 0:2.9.90-8 set to be updated
---> Package glibc-headers.x86_64 0:2.9.90-8 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 301, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 253, in main
    return_code = base.doTransaction()
  File "/usr/share/yum-cli/cli.py", line 363, in doTransaction
    lsts = self.listTransaction()
  File "/usr/share/yum-cli/output.py", line 929, in listTransaction
    a_wid = _add_line(lines, data, a_wid, txmbr.po, txmbr.obsoletes)
  File "/usr/share/yum-cli/output.py", line 907, in _add_line
    elif po.verifyLocalPkg():
  File "/usr/lib/python2.6/site-packages/yum/packages.py", line 664, in verifyLocalPkg
    (csum_type, csum) = self.returnIdSum()
TypeError: 'NoneType' object is not iterable
[root@sstarr ~]#
Comment 2 James Antill 2009-02-27 17:41:44 EST
This is fixed in upstream commit: b5bddd08732cf4607ff247380a5543c866095ad2

Alas. Seth just built a new yum today in rawhide, so this might miss the next update.
Comment 3 James Antill 2009-03-03 09:53:29 EST
*** Bug 488158 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.